########################################################
#   docker build -t zhny-admin:1.0.0 .
########################################################

FROM ubuntu-jre:1.8.0_181

MAINTAINER hs_lvwenbin@163.com

ADD zhny_admin.jar /opt/zhny/

ENV DB_HOST=${DB_HOST}
ENV DB_PORT=${DB_PORT}
ENV DB_USER=${DB_USER}
ENV DB_PASSWORD=${DB_PASSWORD}

# 启动服务并且暴露端口
EXPOSE 9087

ENTRYPOINT ["java", "-jar", "/opt/zhny/zhny_admin.jar"]